### Method

# Gtk Widgetactivate

#### Declaration [src]

    gboolean
    gtk_widget_activate (
      GtkWidget* widget
    )

#### Description [src]

For widgets that can be “activated” (buttons, menu items, etc.), this function activates them.

The activation will emit the signal set using `gtk_widget_class_set_activate_signal()` during class initialization.

Activation is what happens when you press `Enter` on a widget during key navigation.

If you wish to handle the activation keybinding yourself, it is recommended to use `gtk_widget_class_add_shortcut()` with an action created with `gtk_signal_action_new()`.

If `widget` isn’t activatable, the function returns `FALSE`.

#### Return value

Type: `gboolean`

`TRUE` if the widget was activatable.